package com.brilliance.isc.swift.swifteditor.tag.message;

import java.util.List;

public class SEQList extends  AbstractMessageArea {
	
	private final int  type = SEQLIST; 
	
	private String om;
	
	private int cyc;
	
	public int getCyc() {
		return cyc;
	}



	public void setCyc(int cyc) {
		this.cyc = cyc;
	}



	public String getOm() {
		return om;
	}



	public void setOm(String om) {
		this.om = om;
	}

	


	public SEQList clone() {
		SEQList cp =new SEQList();
		
		cp.setName(this.getName());
		List<MessageArea> fields = this.getFields();
		for(MessageArea field : fields)
			cp.addSubArea(field.clone());
		cp.setPattern(this.getPattern().clone());
		cp.setAnlyReg(this.getAnlyReg());
		cp.setDesp(this.getDesp());
		cp.setOm(this.getOm());
		cp.setCyc(this.getCyc());
		return cp;
	}

	

	public int getType() {
		return type;
	}

}
